Bug 185837 - Rawhide network insall crash
Rawhide network insall crash
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2006-03-19 04:46 EST by Andrey Petrov
Modified: 2015-01-04 17:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-19 14:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The backtrace given when the installer dies (408 bytes, text/plain)
2006-03-19 04:46 EST, Andrey Petrov
no flags Details
output on tty3 and tty4 (2.07 KB, text/plain)
2006-03-23 04:12 EST, Andrey Petrov
no flags Details

  None (edit)
Description Andrey Petrov 2006-03-19 04:46:55 EST
Description of problem:
The installer crashes after insallation method selection.

Version-Release number of selected component (if applicable):
Rawhide 19 Mar 2006

How reproducible:

Steps to Reproduce:
1. download 
b63b5223d0467dc6841441b33bddfbf8f2cbbf48  boot.iso
from rawhide (19 Mar 2006), burn it and bot it.

2. select language (english)

3. select keyboard (english)

4. select any of the network installation methods: NFS, FTP, HTTP

Actual results:
the installer crashes

Expected results:
the installer should configure a network interface and continue fetching stage2
image from the network?

Additional info:
here's my hardware configuration:
AMD x2 4200+
NForce4 (Epox 9NPA+ Ultra)
Comment 1 Andrey Petrov 2006-03-19 04:46:55 EST
Created attachment 126322 [details]
The backtrace given when the installer dies
Comment 2 Jeremy Katz 2006-03-21 11:29:58 EST
Does this work properly with the FC5 release?
Comment 3 Andrey Petrov 2006-03-22 01:48:46 EST
I've tried booting from the FC5 final DVD (entered 'linux askmethod' at the boot

No, it does not work properly with the FC5 (final). Exactly the same backtrace
and error messages appear as described in this thread.

It does works fine with the FC4 DVD (hope this helps)
Comment 4 Jeremy Katz 2006-03-22 10:47:24 EST
What are the last lines on tty3 and tty4 when it crashes? 
Comment 5 Andrey Petrov 2006-03-23 04:12:09 EST
Created attachment 126535 [details]
output on tty3 and tty4

I'm attaching the bottom 24 lines from tty3 and tty4 as requested.
Comment 6 Andrey Petrov 2006-03-23 15:29:25 EST
Anyways FC5 got released with this problem, now, is there a way to work it around?
Are there any kernel arguments I could try at the boot prompt?
Waiting for FC6 to get released for me to be able to perform networked installs
doesn't sound like a good option ;-)
Comment 7 David Cantrell 2006-03-29 10:04:39 EST
This looks like the sata_nv driver problem (bug #182326 and bug #186433).  Try
booting with pci=noacpi and seeing if the install will continue.
Comment 8 Andrey Petrov 2006-04-03 02:58:36 EDT
the pci=noacpi parameter did not help.
with it i get an extra stacktrace when the libata.ko module gets loaded, but it
recovers after a while and when i get to the install method screen i get the
same stack trace as I did before.
Comment 9 Andrey Petrov 2006-04-03 03:04:48 EDT
I think I've discovered a workaround for this problem.
There is a Terayon cable modem attached to a usb port on that machine.
When I unplug the cable modem I never experience the problem and the network
installation proceeds fine!

Here's the info of the cable modem device taken from /proc/bus/usb/devices

T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  5 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=02(comm.) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=06cc ProdID=0101 Rev= 1.00
S:  Manufacturer=Terayon Communication Systems
S:  Product=Terayon DOCSIS USB Cable Modem
S:  SerialNumber=SN_408340314034_7000549-07.05
C:* #Ifs= 2 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(comm.) Sub=06 Prot=00 Driver=cdc_ether
E:  Ad=83(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
I:  If#= 1 Alt= 0 #EPs= 0 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_ether
I:  If#= 1 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=00 Driver=cdc_ether
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
Comment 10 David Cantrell 2006-05-01 15:46:36 EDT
I'm going to reassign this to the kernel people so they can at least be aware of
the issue.  USB is always fun.
Comment 11 Dave Jones 2006-10-16 20:23:28 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 Andrey Petrov 2006-10-17 05:43:37 EDT
> Terayon cable modem
Since I no longer have access to this hardware I cannot test this with the new
FC6 installer.

Feel free to close this bug.

Note You need to log in before you can comment on or make changes to this bug.